> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a Wine Product



## OpenAPI

````yaml /openapi.json post /api/v1/Products/Skus/Wine
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Products/Skus/Wine:
    post:
      tags:
        - Products
      summary: Creates a Wine Product
      requestBody:
        description: The product to create
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWineRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StringServiceResult'
components:
  schemas:
    CreateWineRequest:
      required:
        - alcoholPercentage
        - alcoholType
        - appellation
        - bottleSize
        - brandName
        - caseQuantity
        - sku
        - srp
        - supplierId
      type: object
      properties:
        supplierId:
          minLength: 1
          type: string
          description: SupplierId is the unique ID for the owner of items in the system
        sku:
          minLength: 2
          type: string
          description: The SKU of the customer
        caseQuantity:
          type: integer
          description: The Case Quantity
          format: int32
        srp:
          type: number
          description: Suggested Retail Price
          format: double
        brandName:
          maxLength: 100
          minLength: 1
          type: string
          description: The Brand Name
        fancifulName:
          maxLength: 100
          type: string
          description: The FancifulName
          nullable: true
        varietal:
          maxLength: 100
          type: string
          description: Varietal
          nullable: true
        vineyardDesignation:
          maxLength: 150
          type: string
          description: Vineyard Designation
          nullable: true
        appellation:
          maxLength: 100
          minLength: 1
          type: string
          description: Appellation
        countryOfOrigin:
          maxLength: 2
          type: string
          description: Only US
          default: US
          nullable: true
        regionOfOrigin:
          maxLength: 100
          type: string
          description: Region
          nullable: true
        alcoholType:
          minLength: 1
          type: string
          description: "Alcohol Type\r\n            \r\n    SPARKLING\r\n    SPIRIT\r\n    STILL"
        colaNumber:
          maxLength: 25
          type: string
          description: TTB Approval Number
          nullable: true
        vintage:
          maxLength: 25
          type: string
          description: Vintage
          nullable: true
        alcoholPercentage:
          type: number
          description: "Alcohol Percentage\r\n            \r\n     eg 20"
          format: double
        bottleSize:
          minLength: 1
          type: string
          description: Bottle size in ML
        sellerAccountNumbers:
          type: array
          items:
            type: string
          description: A list of Seller account number who can sell this
          nullable: true
      additionalProperties: false
      description: Creates a Wine SKU. The Item type for Wine is 'WINE'
    StringServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          type: string
          description: The payload object of the response
          nullable: true
      additionalProperties: false
      description: Generic container for all service responses
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````